Hellcat's CFW Recovery Flasher (frozen)

Discussion in 'PSP - Hacking & Homebrew' started by KevInChester, Feb 21, 2011.

Feb 21, 2011
  1. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Got a PSP 1003 which was on an older M33 firmware. So was told to use this program to be able to update to the official FW, and then to a new CFW.

    It has been on this screen:

    Checking updater .PBP.... checksum OK....

    For a while now. Taking I've managed to fuck this up somehow, what steps should I take next?
     
  2. Nujui

    Member Nujui I need something to do.

    Joined:
    Aug 12, 2010
    Messages:
    3,933
    Location:
    Dreamland.
    Country:
    United States
    You didn't need to use Hellcats recovery flasher.

    You could have just download 5.00 M33 6 or any of the other CFWS and install them.
     
  3. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Well live and learn with that I guess, what should I do now? Could I Pandora it back to life?
     
  4. Nujui

    Member Nujui I need something to do.

    Joined:
    Aug 12, 2010
    Messages:
    3,933
    Location:
    Dreamland.
    Country:
    United States
    Any 1000 pandora able so yes you could. After that download whatever CFW you want to use and install it.
     
  5. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Ok, I turned it off and managed to get the recovery menu up, XMB back working again.

    I was told to run a ver 6.35 update, then ChickHEN, and then prometheus. Taking it that's a bad idea.

    I originally use the Hellcat Flasher as I thought I needed to to down/upgrade the firmware.
     
  6. Nujui

    Member Nujui I need something to do.

    Joined:
    Aug 12, 2010
    Messages:
    3,933
    Location:
    Dreamland.
    Country:
    United States
    What custom firmware you wanting to use? M33, Gen, or prometheus?

    Also no, you don't need to downgrade or upgrade if you have the CFW already there. Just download the update or another CFW and install.
     
  7. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Whichever is generally considered the best, PS1 functionality would be good, but secondary to good overall support of games.
     
  8. Recorderdude

    Member Recorderdude Musician, Animator, Buffoon.

    Joined:
    Jun 19, 2010
    Messages:
    1,392
    Country:
    United States
    Well, don't worry about PS1, you can always use POPSloader and a compatibility list.

    But there's really 2 major FWs: 5.00 M33-6 and 5.50 GEN-D3.

    M33-6 is a little more stable and has better homebrew compatibility.

    GEN-D3 is newer so it runs more PSP games without patches but loses some compatibility with older homebrew.

    It's really a matter of whether you mind patching new PSP games or not. If you mind, Use 5.50 GEN-D3 with prometheus. If not, just patch and use 5.00 M33-6.
     
  9. Nujui

    Member Nujui I need something to do.

    Joined:
    Aug 12, 2010
    Messages:
    3,933
    Location:
    Dreamland.
    Country:
    United States
    5.00 M33 is pretty good. You can use the Prometheus addon that lets you play the lastest games, and its good with ps1 games as well as homebrew.

    It's pretty much up to you what you want. That's just what I use.
     
  10. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Thanks tons to you both, I did read the FAQs and the guides, but I get confused easily when reading swathes of text like that.

    So I can just download the latest 5.00M3 and then install it. Nice one, I'll get the hang of it one day!!
     
  11. Nujui

    Member Nujui I need something to do.

    Joined:
    Aug 12, 2010
    Messages:
    3,933
    Location:
    Dreamland.
    Country:
    United States
    Yup, just make sure if you want 5.00 M33 you also put the OFW 5.00 in the folder as well. It won't run without it.
     
  12. KevInChester
    OP

    Member KevInChester GBAtemp Fan

    Joined:
    Jul 29, 2009
    Messages:
    308
    Country:
    United Kingdom
    Ok, and one last thing I have googled but they all say downgrade, when I try and install an official FW it gives me the error DADADADA which I understand to be Dark Alex's custom way of stopping you installing an official update by accident.

    I take it with this method it's obselete.

    //

    Updating now [​IMG]

    //

    Installed, you have my eternal gratitude!
     

Share This Page